"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.build = void 0;
const tscWatchClient = require("tsc-watch/client");
const watch = new tscWatchClient();
async function build(config, viteConfig) {
    // 监听构建完毕事件
    watch.on('first_success', () => {
        watch.kill();
    });
    // 监听构建错误
    watch.on('compile_errors', () => {
        // Your code goes here...
    });
    // 启动构建electron
    watch.start('--project', './tsconfig.electron.json');
}
exports.build = build;
